Package org.eclipse.jdt.launching

# Class PropertyChangeEvent

java.lang.Object
java.util.EventObject
org.eclipse.jdt.launching.PropertyChangeEvent

All Implemented Interfaces:
  `Serializable`

public class PropertyChangeEvent extends EventObject
An event object describing a change to a named property.

JavaRuntime provides change notification for properties of VM installs

Clients may instantiate this class.

Since:
  2.0
See Also:
  - Serialized Form
Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`PropertyChangeEvent(Object source, String property, Object oldValue, Object newValue)`
Creates a new property change event.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getNewValue()`
Returns the new value of the property.
`Object`
`getOldValue()`
Returns the old value of the property.
`String`
`getProperty()`
Returns the name of the property that changed.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PropertyChangeEvent

public PropertyChangeEvent(Object source, String property, Object oldValue, Object newValue)
Creates a new property change event.

Parameters:
  `source` - the object whose property has changed
  `property` - the property that has changed (must not be `null`)
  `oldValue` - the old value of the property, or `null` if none
  `newValue` - the new value of the property, or `null` if none

## Method Details

### getProperty

public String getProperty()
Returns the name of the property that changed.

Returns:
  the name of the property that changed

### getNewValue

public Object getNewValue()
Returns the new value of the property.

Returns:
  the new value, or `null` if not known or not relevant

### getOldValue

public Object getOldValue()
Returns the old value of the property.

Returns:
  the old value, or `null` if not known or not relevant